edu.isi.pegasus.gridftp

## Class MakeDirectoryCommand

- java.lang.Object
- - edu.isi.pegasus.gridftp.Command
  - - edu.isi.pegasus.gridftp.MakeDirectoryCommand

    public class MakeDirectoryCommand
    extends Command

Implements the mkdir command for remote GridFTP servers

Author:
  Gideon Juve <juve@usc.edu>

### Field Summary

Fields
`private boolean` `allowExists`
`private org.apache.commons.logging.Log` `logger`
`private boolean` `makeIntermediate`

### Fields inherited from class edu.isi.pegasus.gridftp.Command

`connectionCache, credential`

### Constructor Summary

Constructors
Constructor and Description
`MakeDirectoryCommand(boolean makeIntermediate, boolean allowExists)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MakeDirectoryCommand` `fromArguments(java.util.List<java.lang.String> args)`
`private void` `mkdir(GridFTPConnection conn, java.lang.String path)`
`protected void` `run(GridFTPURL url)`

### Methods inherited from class edu.isi.pegasus.gridftp.Command

`connect, execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    private org.apache.commons.logging.Log logger

#### makeIntermediate

    private boolean makeIntermediate

#### allowExists

    private boolean allowExists

### Constructor Detail

#### MakeDirectoryCommand

    public MakeDirectoryCommand(boolean makeIntermediate,
                                boolean allowExists)

### Method Detail

#### run

    protected void run(GridFTPURL url)
                throws java.net.ConnectException,
                       GridFTPException

Specified by:
  `run` in class `Command`
Parameters:
  `url` - The URL to operate on
Throws:
  `java.net.ConnectException`
  `GridFTPException`

#### mkdir

    private void mkdir(GridFTPConnection conn,
                       java.lang.String path)
                throws GridFTPException

Throws:
  `GridFTPException`

#### fromArguments

    public static MakeDirectoryCommand fromArguments(java.util.List<java.lang.String> args)
                                              throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`